# -*- coding: utf-8 -*-
# Copyright 2010-2013 Kolab Systems AG (http://www.kolabsys.com)
#
# Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen a kolabsys.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

from __future__ import print_function

import sys

from . import commands

import pykolab

from pykolab.auth import Auth
from pykolab.translate import _
from pykolab import utils

log = pykolab.getLogger('pykolab.cli')
conf = pykolab.getConf()

def __init__():
    commands.register('auth', execute, description=description())

def cli_options():
    my_option_group = conf.add_cli_parser_option_group(_("CLI Options"))
    my_option_group.add_option(
                '--user',
                dest    = "user",
                action  = "store",
                default = None,
                metavar = "USER",
                help    = _("Authenticate as user USER")
            )

    my_option_group.add_option(
                '--password',
                dest    = "password",
                action  = "store",
                default = None,
                metavar = "PASSWORD",
                help    = _("Authenticate with password PASSWORD")
            )

def description():
    return """Test authentication."""

def execute(*args, **kw):

    if not conf.user == None and len(conf.user.split('@')) > 1:
        domain = conf.user.split('@')[1]
    else:
        domain = conf.get('kolab', 'primary_domain')

    print(conf.user)
    print(conf.password)
    auth = Auth(domain=domain)
    auth.connect()

    success = False

    try:
        success = auth.authenticate([conf.user, conf.password, "imap", domain])
    except:
        print("exception")
        success = False

    if success:
        print("Success!")
    else:
        print("Failed")
